## r-cran-maldiquantforeign 0.5.1

=== DESCRIPTION ===
Package: MALDIquantForeign
Version: 0.5.1
Date: 2013-09-18
Title: Import/Export routines for MALDIquant
Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
    email="mail@sebastiangibb.de"))
Depends: R (>= 3.0.0), methods, MALDIquant (>= 1.8)
Imports: base64enc, digest, downloader, readBrukerFlexData (>= 1.7),
        readMzXmlData (>= 2.7), XML
Suggests: testthat
Description: This package allows to read (tab, csv, Bruker fid, Ciphergen XML,
    mzXML, mzML, imzML, Analyze 7.5) and write (tab, csv, msd, mzML) different
    file formats of mass spectrometry data into/from MALDIquant objects.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/MALDIquantForeign/
BugReports: https://github.com/sgibb/MALDIquantForeign/issues/
LazyLoad: yes
Collate: 'package.R' 'AllGenerics.R' 'base64encode-functions.R'
        'export-methods.R' 'exportMsd-methods.R' 'exportTab-methods.R'
        'fileFormats.R' 'filename-functions.R' 'filename-methods.R'
        'importAuto-functions.R' 'importBrukerFlex-functions.R'
        'import-functions.R' 'importMzMl-functions.R'
        'importMzXml-functions.R' 'importTab-functions.R'
        'list.files-functions.R' 'msd-functions.R' 'parseMzMl.R'
        'sanitize-functions.R' 'xml-functions.R' 'mzMl-functions.R'
        'export-functions.R' 'exportMzMl-methods.R'
        'importCiphergenXml-functions.R' 'parseCiphergenXml.R'
        'compression-functions.R' 'download-function.R'
        'importImzMl-functions.R' 'analyze-functions.R'
        'importAnalyze-functions.R'
Packaged: 2013-09-18 16:50:16 UTC; sebastian
Author: Sebastian Gibb [aut, cre]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-09-18 19:55:07

=== debian/changelog ===
r-cran-maldiquantforeign (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #723984)

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Fri, 20 Sep 2013 22:04:39 +0200

=== debian/control ===
# DO NOT EDIT! This file is autogenerated by debian/rules:override_dh_clean.
# Use debian/control.in instead.

Source: r-cran-maldiquantforeign
Section: gnu-r
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev (>= 3.0.0),
 r-cran-base64enc, r-cran-digest, r-cran-downloader, r-cran-maldiquant (>= 1.8),
 r-cran-readbrukerflexdata (>= 1.7), r-cran-readmzxmldata (>= 2.7), r-cran-xml
Standards-Version: 3.9.4
Homepage: http://cran.r-project.org/web/packages/MALDIquantForeign/index.html
Vcs-Git: git://anonscm.debian.org/debichem/packages/r-cran-maldiquantforeign.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/r-cran-maldiquantforeign.git

Package: r-cran-maldiquantforeign
Architecture: any
Depends: ${misc:Depends}, ${R:Depends}, r-cran-base64enc, r-cran-digest,
 r-cran-downloader, r-cran-maldiquant (>= 1.8),
 r-cran-readbrukerflexdata (>= 1.7), r-cran-readmzxmldata (>= 2.7), r-cran-xml
Description: GNU R package providing import/export routines for MALDIquant
 The MALDIquantForeign package reads (tab, csv, Bruker fid, Ciphergen XML,
 mzXML, mzML, imzML, Analyze 7.5) and writes (tab, csv, msd, mzML)
 different file formats of mass spectrometry data into/from MALDIquant objects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-readbrukerflexdata package
# Copyright 2013 by Sebastian Gibb <sgibb.debian@gmail.com>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: *//p')
CRANVERSION ?= $(shell uscan --no-conf --dehs | sed -n 's/.*<upstream-version>\([0-9.]\+\)<\/upstream-version>.*/\1/p')
RVERSION := $(shell grep "Depends: R" DESCRIPTION | sed 's/^Depends:.* R *(\([><= 0-9.]\+\)).*/\1/')
RLIB := usr/lib/R/site-library

%:
	dh $@

override_dh_clean:
	dh_clean
	## autogenerate debian/control
	echo "# DO NOT EDIT! This file is autogenerated by debian/rules:override_dh_clean." > debian/control
	echo "# Use debian/control.in instead.\n" >> debian/control
	sed "s/@R_DEPENDS_VERSION@/${RVERSION}/" debian/control.in >> debian/control

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_install:
	## create target directory
	dh_installdirs ${RLIB}

	## use debian/${PACKAGE}.substvars to support debian/control ${R:Depends}
	echo "R:Depends=r-base-core (${RVERSION})" >> debian/${PACKAGE}.substvars

	## install r package
	MAKEFLAGS="CFLAGS+=${CFLAGS} CPPFLAGS+=${CPPFLAGS} LDFLAGS+=${LDFLAGS}" R CMD INSTALL --library=${CURDIR}/debian/${PACKAGE}/${RLIB} --clean .

get-orig-source:
	## download newest ${PACKAGE} from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

## r-cran-maldiquantforeign 0.8

=== debian/changelog ===
r-cran-maldiquantforeign (0.8-1) unstable; urgency=low

  [ The Debichem Group ]
  * New upstream release.

  [ Filippo Rusconi ]
  * Upload (lopippo@debian.org).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 23 Jun 2014 13:05:52 +0200

r-cran-maldiquantforeign (0.7-1) unstable; urgency=low

  * New upstream release.
  * Upload by Filippo Rusconi <lopippo@debian.org>

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Sat, 12 Apr 2014 10:46:57 +0100

r-cran-maldiquantforeign (0.6-1) unstable; urgency=low

  * New upstream release.
  * Replace own build script by a cdbs based one:
    - debian/control.in: removed.
    - debian/control: add cdbs to Build-Depends.
    - debian/rules: use cdbs based build script.
  * debian/control:
    - Set Standards-Version to 3.9.5.
    - Add r-cran-rnetcdf to Suggests field.

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Sat, 22 Feb 2014 20:50:33 +0000

=== debian/control ===
Source: r-cran-maldiquantforeign
Section: gnu-r
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9), cdbs, r-base-dev (>= 3.0.0),
 r-cran-base64enc, r-cran-digest, r-cran-downloader, r-cran-maldiquant (>= 1.8),
 r-cran-readbrukerflexdata (>= 1.7), r-cran-readmzxmldata (>= 2.7), r-cran-xml
Standards-Version: 3.9.5
Homepage: http://cran.r-project.org/web/packages/MALDIquantForeign/index.html
Vcs-Git: git://anonscm.debian.org/debichem/packages/r-cran-maldiquantforeign.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/r-cran-maldiquantforeign.git

Package: r-cran-maldiquantforeign
Architecture: any
Depends: ${misc:Depends}, ${R:Depends}, r-cran-base64enc, r-cran-digest,
 r-cran-downloader, r-cran-maldiquant (>= 1.8),
 r-cran-readbrukerflexdata (>= 1.7), r-cran-readmzxmldata (>= 2.7), r-cran-xml
Suggests: r-cran-rnetcdf (>= 1.6.1)
Description: GNU R package providing import/export routines for MALDIquant
 The MALDIquantForeign package reads (tab, csv, Bruker fid, Ciphergen XML,
 mzXML, mzML, imzML, Analyze 7.5) and writes (tab, csv, msd, mzML)
 different file formats of mass spectrometry data into/from MALDIquant objects.

## r-cran-maldiquantforeign 0.9

=== DESCRIPTION ===
Package: MALDIquantForeign
Version: 0.9
Date: 2014-08-11
Title: Import/Export routines for MALDIquant
Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
        email="mail@sebastiangibb.de"), person("Pietro", "Franceschi",
        role=c("ctb"), email="pietro.franceschi@fmach.it"))
Depends: R (>= 3.0.0), methods, MALDIquant (>= 1.8)
Imports: base64enc, digest, downloader, readBrukerFlexData (>= 1.7),
        readMzXmlData (>= 2.7), XML
Suggests: knitr, testthat (>= 0.8), RNetCDF (>= 1.6.1)
Description: This package reads (tab, csv, Bruker fid, Ciphergen XML,
        mzXML, mzML, imzML, Analyze 7.5, CDF) and writes (tab, csv,
        msd, mzML) different file formats of mass spectrometry data
        into/from MALDIquant objects.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/MALDIquantForeign/
BugReports: https://github.com/sgibb/MALDIquantForeign/issues/
LazyLoad: yes
VignetteBuilder: knitr
Packaged: 2014-08-11 17:56:19 UTC; sebastian
Author: Sebastian Gibb [aut, cre],
  Pietro Franceschi [ctb]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-08-11 21:39:18

=== debian/changelog ===
r-cran-maldiquantforeign (0.9-2) unstable; urgency=medium

  * Update Standards-Version: 3.9.6;
  * Upload signed with my 4096-bit key.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 08 Oct 2014 09:00:32 +0200

r-cran-maldiquantforeign (0.9-1) unstable; urgency=low

  [ The Debichem Group ]
  * New upstream release.

  [ Filippo Rusconi ]
  * Upload by Filippo Rusconi <lopippo@debian.org>.
  
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 18 Aug 2014 13:11:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), cdbs, r-base-dev (>= 3.0.0),
  r-cran-base64enc, r-cran-digest, r-cran-downloader, r-cran-maldiquant (>= 1.8),
  r-cran-readbrukerflexdata (>= 1.7), r-cran-readmzxmldata (>= 2.7), r-cran-xml
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://cran.r-project.org/web/packages/MALDIquantForeign/index.html
 Vcs-Git: git://anonscm.debian.org/debichem/packages/r-cran-maldiquantforeign.git
 Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/r-cran-maldiquantforeign.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-maldiquantforeign package
# Copyright 2013 by Sebastian Gibb <sgibb.debian@gmail.com>

include /usr/share/R/debian/r-cran.mk

DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_CHANGELOGS_ALL := NEWS

get-orig-source:
	## download newest version from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

## r-cran-maldiquantforeign 0.10.1

=== DESCRIPTION ===
Package: MALDIquantForeign
Version: 0.10.1
Date: 2015-11-01
Title: Import/Export Routines for MALDIquant
Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
        email="mail@sebastiangibb.de"), person("Pietro", "Franceschi",
        role=c("ctb"), email="pietro.franceschi@fmach.it"))
Depends: R (>= 3.2.2), methods, MALDIquant (>= 1.11.7)
Imports: base64enc, digest, readBrukerFlexData (>= 1.7), readMzXmlData
        (>= 2.7), XML
Suggests: knitr, testthat (>= 0.8), RNetCDF (>= 1.6.1)
Description: Functions for reading (tab, csv, Bruker fid, Ciphergen
        XML, mzXML, mzML, imzML, Analyze 7.5, CDF, mMass MSD) and
        writing (tab, csv, mMass MSD, mzML, imzML) different file
        formats of mass spectrometry data into/from MALDIquant objects.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/MALDIquantForeign/
BugReports: https://github.com/sgibb/MALDIquantForeign/issues/
LazyLoad: yes
VignetteBuilder: knitr
RoxygenNote: 5.0.0.9000
NeedsCompilation: no
Packaged: 2015-11-01 16:44:50 UTC; sebastian
Author: Sebastian Gibb [aut, cre],
  Pietro Franceschi [ctb]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>

=== debian/changelog ===
r-cran-maldiquantforeign (0.10.1-1) unstable; urgency=low

  * Team upload

  [ Sebastian Gibb ]
  * New upstream release.
  * debian/copyright:
    - Change GPL-3 to GPL-3+.
    - Remove duplicated license text.
  * debian/control:
    - Set Standards-Version to 3.9.8.
    - Set minimal r-base-dev version to 3.2.2.
    - Use secure canonical URL in Homepage.
    - Use secure https URLs in Vcs-Git and Vcs-Browser.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Convert to dh-r
  * Architecture: all
  * debhelper 10
  * Update d/copyright
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2016 14:34:07 +0100

=== debian/control ===
Source: r-cran-maldiquantforeign
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev (>= 3.2.2),
               r-cran-base64enc,
               r-cran-digest,
               r-cran-downloader,
               r-cran-maldiquant,
               r-cran-readbrukerflexdata,
               r-cran-readmzxmldata,
               r-cran-xml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/r-cran-maldiquantforeign.git
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/r-cran-maldiquantforeign.git
Homepage: https://cran.r-project.org/package=MALDIquantForeign

Package: r-cran-maldiquantforeign
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends},
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing import/export routines for MALDIquant
 The MALDIquantForeign package reads (tab, csv, Bruker fid, Ciphergen XML,
 mzXML, mzML, imzML, Analyze 7.5) and writes (tab, csv, msd, mzML)
 different file formats of mass spectrometry data into/from MALDIquant objects.

## r-cran-maldiquantforeign 0.11

=== DESCRIPTION ===
Package: MALDIquantForeign
Version: 0.11
Date: 2017-09-01
Title: Import/Export Routines for 'MALDIquant'
Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
        email="mail@sebastiangibb.de"), person("Pietro", "Franceschi",
        role=c("ctb"), email="pietro.franceschi@fmach.it"))
Depends: R (>= 3.2.2), methods, MALDIquant (>= 1.16.4)
Imports: base64enc, digest, readBrukerFlexData (>= 1.7), readMzXmlData
        (>= 2.7), XML
Suggests: knitr, testthat (>= 0.8), RNetCDF (>= 1.6.1)
Description: Functions for reading (tab, csv, Bruker fid, Ciphergen
        XML, mzXML, mzML, imzML, Analyze 7.5, CDF, mMass MSD) and
        writing (tab, csv, mMass MSD, mzML, imzML) different file
        formats of mass spectrometry data into/from 'MALDIquant'
        objects.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/MALDIquantForeign/
BugReports: https://github.com/sgibb/MALDIquantForeign/issues/
LazyLoad: yes
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-09-06 18:20:52 UTC; sebastian
Author: Sebastian Gibb [aut, cre],
  Pietro Franceschi [ctb]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
Repository: CRAN
Date/Publication: 2017-09-06 18:29:52 UTC

=== debian/changelog ===
r-cran-maldiquantforeign (0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.1
  * Versioned Build-Depends: r-cran-maldiquant (>= 1.16.4)

 -- Andreas Tille <tille@debian.org>  Sun, 01 Oct 2017 00:09:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                r-cran-base64enc,
                r-cran-digest,
                r-cran-downloader,
-               r-cran-maldiquant,
+               r-cran-maldiquant (>= 1.16.4),
                r-cran-readbrukerflexdata,
                r-cran-readmzxmldata,
                r-cran-xml
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/r-cran-maldiquantforeign.git
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/r-cran-maldiquantforeign.git
 Homepage: https://cran.r-project.org/package=MALDIquantForeign

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/MALDIquantForeign_([\d\.]*).tar.gz

## r-cran-maldiquantforeign 0.11.5

=== debian/changelog ===
r-cran-maldiquantforeign (0.11.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.0
  * d/rules: delete unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Mon, 20 Aug 2018 08:47:09 +0200

r-cran-maldiquantforeign (0.11.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:10:57 +0200

r-cran-maldiquantforeign (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 18:17:38 +0100

=== debian/control ===
Source: r-cran-maldiquantforeign
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-maldiquant (>= 1.16.4),
               r-cran-base64enc,
               r-cran-digest,
               r-cran-readbrukerflexdata,
               r-cran-readmzxmldata,
               r-cran-xml
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquantforeign
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquantforeign.git
Homepage: https://cran.r-project.org/package=MALDIquantForeign

Package: r-cran-maldiquantforeign
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing import/export routines for MALDIquant
 The MALDIquantForeign package reads (tab, csv, Bruker fid, Ciphergen XML,
 mzXML, mzML, imzML, Analyze 7.5) and writes (tab, csv, msd, mzML)
 different file formats of mass spectrometry data into/from MALDIquant objects.

## r-cran-maldiquantforeign 0.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Package: MALDIquantForeign
-Version: 0.11
-Date: 2017-09-01
+Version: 0.12
+Date: 2019-01-30
 Title: Import/Export Routines for 'MALDIquant'
 Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
-        email="mail@sebastiangibb.de"), person("Pietro", "Franceschi",
-        role=c("ctb"), email="pietro.franceschi@fmach.it"))
+        email="mail@sebastiangibb.de",
+        comment=c(ORCID="0000-0001-7406-4443")), person("Pietro",
+        "Franceschi", role=c("ctb"),
+        email="pietro.franceschi@fmach.it"))
 Depends: R (>= 3.2.2), methods, MALDIquant (>= 1.16.4)
 Imports: base64enc, digest, readBrukerFlexData (>= 1.7), readMzXmlData
         (>= 2.7), XML
@@ -20,11 +22,11 @@
 BugReports: https://github.com/sgibb/MALDIquantForeign/issues/
 LazyLoad: yes
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1
+RoxygenNote: 6.1.0
 NeedsCompilation: no
-Packaged: 2017-09-06 18:20:52 UTC; sebastian
-Author: Sebastian Gibb [aut, cre],
+Packaged: 2019-01-30 20:56:54 UTC; sebastian
+Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>),
   Pietro Franceschi [ctb]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2017-09-06 18:29:52 UTC
+Date/Publication: 2019-02-01 08:33:21 UTC

=== debian/changelog ===
r-cran-maldiquantforeign (0.12-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:34:20 +0200

r-cran-maldiquantforeign (0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 06 Feb 2019 09:33:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-maldiquant (>= 1.16.4),
@@ -12,10 +12,11 @@
                r-cran-readbrukerflexdata,
                r-cran-readmzxmldata,
                r-cran-xml
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquantforeign
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquantforeign.git
 Homepage: https://cran.r-project.org/package=MALDIquantForeign
+Rules-Requires-Root: no
 
 Package: r-cran-maldiquantforeign
 Architecture: all

## r-cran-maldiquantforeign 0.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: MALDIquantForeign
-Version: 0.12
-Date: 2019-01-30
+Version: 0.13
+Date: 2021-12-23
 Title: Import/Export Routines for 'MALDIquant'
 Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
         email="mail@sebastiangibb.de",
@@ -17,16 +17,16 @@
         formats of mass spectrometry data into/from 'MALDIquant'
         objects.
 License: GPL (>= 3)
-URL: http://strimmerlab.org/software/maldiquant/
+URL: https://strimmerlab.github.io/software/maldiquant/
         https://github.com/sgibb/MALDIquantForeign/
 BugReports: https://github.com/sgibb/MALDIquantForeign/issues/
 LazyLoad: yes
 VignetteBuilder: knitr
-RoxygenNote: 6.1.0
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2019-01-30 20:56:54 UTC; sebastian
+Packaged: 2022-01-05 19:09:05 UTC; sebastian
 Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>),
   Pietro Franceschi [ctb]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2019-02-01 08:33:21 UTC
+Date/Publication: 2022-01-05 19:30:02 UTC

=== debian/changelog ===
r-cran-maldiquantforeign (0.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jan 2022 22:09:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-maldiquant (>= 1.16.4),
+               r-cran-maldiquant,
                r-cran-base64enc,
                r-cran-digest,
                r-cran-readbrukerflexdata,
                r-cran-readmzxmldata,
-               r-cran-xml
-Standards-Version: 4.5.0
+               r-cran-xml,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquantforeign
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquantforeign.git
 Homepage: https://cran.r-project.org/package=MALDIquantForeign

## r-cran-maldiquantforeign 0.14.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: MALDIquantForeign
-Version: 0.13
-Date: 2021-12-23
+Version: 0.14.1
+Date: 2024-01-22
 Title: Import/Export Routines for 'MALDIquant'
 Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
         email="mail@sebastiangibb.de",
@@ -17,16 +17,17 @@
         formats of mass spectrometry data into/from 'MALDIquant'
         objects.
 License: GPL (>= 3)
-URL: https://strimmerlab.github.io/software/maldiquant/
+URL: https://strimmerlab.github.io/software/maldiquant/,
         https://github.com/sgibb/MALDIquantForeign/
 BugReports: https://github.com/sgibb/MALDIquantForeign/issues/
 LazyLoad: yes
 VignetteBuilder: knitr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.0
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2022-01-05 19:09:05 UTC; sebastian
+Packaged: 2024-01-22 20:59:12 UTC; sebastian
 Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>),
   Pietro Franceschi [ctb]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2022-01-05 19:30:02 UTC
+Date/Publication: 2024-01-22 21:32:54 UTC

=== debian/changelog ===
r-cran-maldiquantforeign (0.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 23:01:26 +0100

r-cran-maldiquantforeign (0.14-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 31 Aug 2023 19:28:07 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
                r-cran-digest,
                r-cran-readbrukerflexdata,
                r-cran-readmzxmldata,
-               r-cran-xml,
-               debhelper
-Standards-Version: 4.6.0
+               r-cran-xml
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquantforeign
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquantforeign.git
 Homepage: https://cran.r-project.org/package=MALDIquantForeign

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-testthat (>= 0.8),
        r-cran-rnetcdf (>= 1.6.1)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/MALDIquantForeign_([\d\.]*).tar.gz
